
/* Elimina todo el margen externo y define una fuente de texto global para toda la pagina intenta Arial si no sans-serif  */
body {
  margin: 0;
  font-family: Arial, sans-serif;
}

/* Suaviza el scroll y los saltos de pagina colocando el titulo de una partado ene l centro de la pantalla */
html {
  scroll-behavior: smooth;
  scroll-padding-top: 200px; /* Espacio desde la parte superior (navbar) al hacer scroll a titulos */
}


/*-----navbar----- */


/* Define el estilo del navbar */
.navbar {
  background-color: #122f55;
  padding: 20px 0;
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  z-index: 999;
  transition: transform 0.3s ease-in-out; /* Define el tiempo que tarda en esconderse la navbar al hacer scroll */
}

.navbar.hide {
  transform: translateY(-100%); /* Oculta la navbar hacia arriba */
}

.navbar.show {
  transform: translateY(0); /* Vuelve a mostrar la navbar */
}

/* Define el estilo interno del navbar colocando el logo y los navlinks en una misma fila */
.navbar-inner {
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding: 0 40px;
}

/* Define el tamaño del logo dentro del navbar */
.logo {
  height: 100px;
}

/* Define el estilo de los navlinks dentro de la navbar */
.nav-links a {
  color: white;
  text-decoration: none;
  padding: 20px 25px;
  font-weight: bold;
  border-radius: 5px;
  transition: background-color 0.4s; /* Define la duración de la transición del fondo de los navlinks */
  font-size: 20px;
}

/* Define un fondo (hover) de los navlinks blanco y cambia el color de la letra a negro */
.nav-links a:hover {
  background-color: #f5f5f5;
  color: #000000;
}

/* Define el estilo del botón de menú para dispositivos moviles */
.menu-toggle {
  display: none;
  background: none;
  border: none;
  font-size: 28px;
  color: white;
  cursor: pointer;
}

/* Define el estilo de .nav-links en desktop */
.nav-links {
  display: flex;
  gap: 0;
  position: static;
  max-height: none;
  opacity: 1;
  background: transparent;
  box-shadow: none;
  padding: 0;
  overflow: visible;
  transition: none;
}



/* ----- Slider Carrusel  -----*/


/* Define el estilo del slider (carrusel) */
.slider {
  position: relative;
  width: 100%;
  height: 400px;
  overflow: hidden;
  margin-top: 125px;
}

/* Define es estilo del contenido del slider (carrusel) */
.slides {
  display: flex;
  height: 100%;
  transition: transform 0.6s ease; /* Define el tiempo de transición al cambiar de slide */
}

/* Define el estilo de cada slide dentro del slider (carrusel) */
.slide {
  min-width: 100%;
  height: 100%;
  flex-shrink: 0;
  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;
  display: flex;
  justify-content: center;
  align-items: center;
}


/*Define el estilo de las flechas de navegación del slider (carrusel) */
.arrow {
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
  background-color: rgba(0, 0, 0, 0.5);
  color: white;
  border: none;
  cursor: pointer;
  border-radius: 50%;
  padding: clamp(4px, 1vw, 10px);
  width: clamp(24px, 5vw, 40px);
  height: clamp(24px, 5vw, 40px);
  z-index: 10;
  display: flex;
  align-items: center;
  justify-content: center;
  transition: background-color 0.3s, transform 0.2s;
}


/*Define el estilo de las flechas al pasar el cursor por encima(hover) */
.arrow:hover {
  transform: translateY(-50%) scale(1.1);
  background-color: rgba(255, 255, 255, 0.4);
}

/*Define el posicionamiento de las flechas izquierda y derecha */
.arrow.left { left: 20px; } 
.arrow.right { right: 20px; }

/* Define el estilo de la cajas de sombra dentro del el slider (carrusel) */
.shadow-box {
  width: clamp(85vw, 90vw, 500px);
  padding: clamp(8px, 2vw, 20px);
  border-radius: clamp(6px, 1vw, 16px);
  background-color: rgba(0,0,0,0.6);
  font-size: clamp(12px, 2.5vw, 18px);
  color: white;
  text-align: center;
  box-shadow: 0 8px 20px rgba(0,0,0,0.3);
  max-height: 90%;
  overflow: auto;
}

/* Define el estilo de los títulos dentro de la caja de sombra del slider (carrusel) */
.shadow-box h1 {
  font-size: clamp(14px, 4vw, 32px);
  margin-bottom: clamp(4px, 1vw, 10px);
}

/* Define el estilo de los párrafos dentro de la caja de sombra del slider (carrusel) */
.shadow-box p {
  font-size: clamp(11px, 2.5vw, 18px);
  line-height: clamp(1.2em, 2vw, 1.6em);
  margin: 0;
}


/* Define la animación de aparición para los textos dentro de la caja de sombra del slider (carrusel) */
.shadow-box h1,
.shadow-box p {
  opacity: 0;
  transform: translateY(20px);
}

/* Aplica la animación cuando se añade la clase animate-text */ 
.shadow-box h1.animate-text,
.shadow-box p.animate-text {
  animation: fadeInText 0.8s ease forwards;
}

@keyframes fadeInText {
  to { opacity: 1; transform: translateY(0); }
}


/* ----- Icono de WhatsApp -----*/

/* Define el contenedor flotante y sus estilos */
.whatsapp-float {
  position: fixed;
  bottom: 50px;   
  left: 20px;
  display: flex;
  align-items: center;
  width: fit-content;
  text-decoration: none;
  z-index: 9999;
}

/* Define el estilo del icono WhatsApp */
.whatsapp-float img {
  width: 60px;
  height: 60px;
  border-radius: 50%;
  box-shadow: 0px 2px 10px rgba(0,0,0,0.3);
  animation: pulse 1.5s infinite;
  transition: transform 0.2s ease-in-out;
}

/* Define el estilo del texto al lado derecho del icono de WhatsApp */
.whatsapp-text {
  background-color: #25d366;
  color: white;
  font-size: 14px;
  padding: 8px 12px;
  border-radius: 15px;
  margin-left: 10px;
  white-space: nowrap;
  font-family: Arial, sans-serif;
  box-shadow: 0px 2px 10px rgba(0,0,0,0.2);
  animation: fadeIn 1s ease-in-out;
}

/* Animación de pulso del icono de WhatsApp */
@keyframes pulse {
  0% {
    transform: scale(1);
    box-shadow: 0 0 0 0 rgba(37, 211, 102, 0.7);
  }
  70% {
    transform: scale(1.1);
    box-shadow: 0 0 0 15px rgba(37, 211, 102, 0);
  }
  100% {
    transform: scale(1);
    box-shadow: 0 0 0 0 rgba(37, 211, 102, 0);
  }
}

/* Animación de aparición del icono de WhatsApp */
@keyframes fadeIn {
  from { opacity: 0; transform: translateX(-10px); }
  to { opacity: 1; transform: translateX(0); }
}


/* Define el estilo de los textos con instrucciones para el usuario  */
.subtitulo-instrucciones {
  text-align: center;
  font-size: 15px;
  margin-top: 30px;
  color: #333;
}

/* ----- Footer (pie de pagina) ----- */


/* Define el estilo del footer (pie de pagina) */
.footer {
  width: 100%;
  background: #19136b;
  color: #fff;
  padding: 40px 0;
  position: relative;
  bottom: 0;
  left: 0;
}

/* Define el contenido interno del footer en una sola fila */
.footer-content {
  max-width: 1200px;
  margin: 0 auto;
  display: flex;
  justify-content: space-between; /* texto a la izquierda - íconos a la derecha */
  align-items: center;
  padding: 0 20px;
}

/* Define el estilo del texto dentro del footer */
.footer-content span {
  font-size: 15px;
}

/* Define el estilo del contenedor de los íconos sociales dentro del footer (pie de pagina) */
.social-icons {
  display: flex;
  gap: 15px;
}


/* Define el estilo de las imágenes de los íconos sociales dentro del footer (pie de pagina) */
.social-icons img {
  width: 22px;
  height: 22px;
  filter: brightness(0) invert(1); /* para que se vean blancos */
  transition: transform 0.2s;
}

/* Define la animacion (hover) al pasar el cursor sobre las imágenes de los íconos sociales dentro del footer (pie de pagina) */
.social-icons img:hover {
  transform: scale(1.2);
}

/* Fondo gris claro para la sección Nosotros */
.seccion-nosotros-index {
  background-color: #f5f5f5;
  padding: 60px 20px;
}

/* Fondo gris claro para la sección Contacto */
.seccion-contacto-index {
  background-color: #f5f5f5;
  padding: 60px 20px;
}


/* ----- Responsive de Apartado principal para movil ------*/


@media (max-width: 768px) {
  .caja-contacto { flex-direction: column; padding: 20px; }
  .fila-nombre-apellidos { flex-direction: column; gap: 10px; }
  .form-contacto { max-width: 100%; }
  .form-contacto input,
  .form-contacto textarea { font-size: 14px; padding: 10px; resize: none; }
  .form-contacto button { font-size: 15px; padding: 12px; }
}

@media (max-width: 700px) {
  html { scroll-padding-top: 150px; } /* Reducir el padding en móvil */
  .slider { height: 260px; margin-top: 80px; }
  .shadow-box { font-size: 14px; padding: 8px; max-height: 90%; }
  .caja-contacto { max-width: 90%; padding: 20px 15px; }
  .footer-content { flex-direction: column; align-items: center; padding: 0 10px; }
  .footer-content span { font-size: 14px; width: 100%; text-align: center; }
  .social-icons { margin-top: 12px; justify-content: center; }
  .navbar { padding: 10px 0; }
  .logo { height: 75px; }
  .nav-links a { font-size: 14px; padding: 10px 12px; }
  .menu-toggle {
    display: block;
    margin-left: 10px;
    font-size: 32px;
  }
  
  /* Define el estilo del menú toggler(hamburguesa) de navegación en dispositivos móviles */
  .nav-links {
    display: flex;
    flex-direction: column;
    position: absolute;
    top: 100%;            
    left: 0;                
    width: 100%;            
    background: #122f55;    
    padding: 10px 0;        
    border-radius: 0;       
    box-shadow: 0 4px 16px rgba(0,0,0,0.15);
    z-index: 1000;
    max-height: 0;
    overflow: hidden;
    transition: max-height 0.4s ease, opacity 0.4s ease;
    opacity: 0;
  }

  /* Lineas para separar cada navlink del menu de navegación */
  .nav-links a {
    padding: 15px 20px;    
    border-bottom: 1px solid rgba(255,255,255,0.2);
  }

  /* Centra las navlinks del menu de navegacion */
  .nav-links a:last-child {
    border-bottom: none;    
  }

  /* Permite desplegar el menú de navegación en dispositivos móviles al darle click */
  .nav-links.open {
    max-height: 500px;
    opacity: 1;
  }
}





